Package org.tmatesoft.svn.core.wc2

# Class SvnInheritedProperties

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnObject
org.tmatesoft.svn.core.wc2.SvnInheritedProperties

public class SvnInheritedProperties extends SvnObject

## Constructor Summary

Constructors
Constructor
Description
`SvnInheritedProperties()`

## Method Summary

Modifier and Type
Method
Description
`SVNProperties`
`getProperties()`
`SvnTarget`
`getTarget()`
`void`
`setProperties(SVNProperties properties)`
`void`
`setTarget(SvnTarget target)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnObject

`getUserData, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnInheritedProperties

public SvnInheritedProperties()

## Method Details

### setTarget

public void setTarget(SvnTarget target)

### setProperties

public void setProperties(SVNProperties properties)

### getTarget

public SvnTarget getTarget()

### getProperties

public SVNProperties getProperties()